export default defineAppConfig({
  pages: [
    'pages/test/index',
    'pages/component-library/index',
    'pages/index/index',
    'pages/chat/index',
    'pages/editor-pages/editor-channels/index',
    'pages/analysis/index',
    'pages/knowledge/index',
    'pages/member/index',
    'pages/voice/index',
    'pages/system-voice/index',
    'pages/voice-tabs/index',
    'pages/choose-contact/index',
    'pages/vip/index',
    'pages/page/index',
    'pages/editor-pages/editor-media/index',
    
    'pages/knowledge-lesson/index',
    'pages/editor-pages/editor-chat/index',
    'pages/editor-pages/editor-company/index',
    'pages/editor-pages/editor-business-card/index',
    'pages/editor-pages/editor-email/index',
    'pages/editor-pages/editor-tel/index',
    'pages/editor-pages/editor-link/index',
    'pages/editor-pages/editor-mini-program/index',
    'pages/editor-pages/editor-link-social/index',
    'pages/editor-pages/editor-link-contact/index',
    'pages/editor-pages/editor-textarea/index',
    'pages/editor-pages/editor-title/index',
    'pages/editor-pages/editor-store-product/index',
    'pages/editor-pages/editor-store-home/index',
    'pages/contact/index',
    'pages/chat-history/index',
    'pages/profile/index',
    'pages/webview/index',

  ],
  tabBar: {
    color: '#828282',
    selectedColor: '#000000',
    backgroundColor: '#f5f5f2',
    list: [
      {
        pagePath: 'pages/test/index',
        selectedIconPath: 'images/tabbar/home-actived.png',
        iconPath: 'images/tabbar/home.png',
        text: '主页'
      },
      {
        pagePath: 'pages/contact/index',
        selectedIconPath: 'images/tabbar/contact-actived.png',
        iconPath: 'images/tabbar/contact.png',
        text: '联系人'
      },
      {
        pagePath: 'pages/analysis/index',
        selectedIconPath: 'images/tabbar/analysis-actived.png',
        iconPath: 'images/tabbar/analysis.png',
        text: '数据'
      },
      {
        pagePath: 'pages/member/index',
        selectedIconPath: 'images/tabbar/vip-actived.png',
        iconPath: 'images/tabbar/vip.png',
        text: '会员'
      }
    ]
  },
  window: {
    backgroundTextStyle: 'light',
    navigationBarBackgroundColor: '#f5f5f2',
    navigationBarTitleText: 'WeChat',
    navigationBarTextStyle: 'black',
    backgroundColor: '#f5f5f2',
  },
  permission: {
    'scope.userLocation': {
      desc: '你的位置信息将用于小程序使用'
    }
  },
  requiredPrivateInfos: [
    'getLocation',
    'chooseAddress',
    'chooseLocation'
  ]
})
