import { View } from '@tarojs/components'
export default () => {
  return (
    <View className='flex flex-col items-center w-full p-24 gap-32'>
        <View className='flex flex-col gap-10 w-full'>
          <View className='flex gap-8 w-full'>
            <View className='icon-24-fill icon-icon_24_introduce'></View>
            <View className='text-black font-medium text-16 leading-24'>功能解说</View>
          </View>
          <View className='text-14 text-gray-sub leading-28 text-justify'>
            通过学习您上传的材料，AI将获得对应领域的专业知识，并可以在对话中解答相关问题。（请注意AI的回答无法保证严格的准确性）
          </View>
        </View>

        <View className='flex flex-col gap-10 w-full'>
          <View className='flex gap-8 w-full'>
              <View className='icon-24-fill icon-icon_24_file'></View>
              <View className='text-black font-medium text-16 leading-24'>格式要求</View>
          </View>
          <View className='text-14 text-gray-sub leading-28 text-justify'>
            目前支持从微信文件中导入ppt/pdf/txt/word/xls形式的文件，单个不超过 50M。
          </View>
        </View>
        <View className='flex flex-col gap-10 w-full'>
          <View className='flex gap-8 w-full'>
            <View className='icon-24-fill icon-icon_24_file'></View>
            <View className='text-black font-medium text-16 leading-24'>格式要求</View>
          </View>
          <View className='text-14 text-gray-sub leading-28 text-justify'>
            本功能为高级功能，需付费解锁使用。
          </View>
        </View>
      </View>
  )
}